# utils
alias ls="exa --group-directories-first -gm"
alias ll="ls -lhF"
alias lt="ll -TL $1"
alias ld="ll -d"
alias la="ll -a"

alias cat="bat -pp"

# applications
alias code="code-oss"

# dotfiles
alias dot="git --git-dir=$HOME/git/dotfiles/ --work-tree=$HOME"

# k8s
alias k="kubectl"
alias kga="k get all"
alias kgp="k get pod"
alias kgsc="k get secrets"
alias kgsv="k get services"

alias dps='docker ps --format '\''table {{.Names}}\t{{.Image}}\t{{.Status}}\t{{.Networks}}'\'''

# kx, kn
command -v kubectx kubens &>/dev/null && \
    alias kx="kubectx" && \
    alias kn="kubens"

